ttdt_session_quit(library call)

NAME
ttdt_session_quit — quit a ToolTalk session

SYNOPSIS

#include &<Tt/tttk.h>
Tt_status ttdt_session_quit(
const char *sessid,
Tt_pattern *sess_pats,
int quit);

DESCRIPTION

The ttdt_session_quit function destroys the patterns in sess_pats. If quit is True, it quits the session sessid, or the default session if sessid is NULL.

RETURN VALUE

Upon successful completion, the ttdt_session_quit function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

SEE ALSO

Tt/tttk.h - Tttttk(5), ttdt_session_join(3), tt_session_quit(3).